pub mod error;
pub mod paths;

#[cfg(test)]
pub mod testing;

use std::collections::HashMap;

use minijinja::value::Value;

pub type Context = HashMap<&'static str, Value>;

macro_rules! context_add {
    ($ctx:expr, $($key:ident => $value:expr),*) => {
        $($ctx.insert(stringify!($key), ::minijinja::value::Value::from_serialize(&$value));)*
    };
    ($ctx:expr, $($key:ident => $value:expr,)*) => {
        $($ctx.insert(stringify!($key), ::minijinja::value::Value::from_serialize(&$value));)*
    };
}

pub(crate) use context_add;

pub fn build_path_rev(commit_rev: &str, path: &str) -> String {
    if path.is_empty() {
        commit_rev.to_string()
    } else {
        format!("{commit_rev}:{path}")
    }
}
