macro_rules! assert_matches {
    ($actual:expr, $expected:pat) => {
        if !matches!($actual.as_deref(), $expected) {
            panic!(
                concat!(
                    "Unexpected result\n",
                    "  actual:   {actual:?}\n",
                    "  expected: {expected}\n",
                ),
                actual = $actual,
                expected = stringify!($expected),
            );
        }
    };
}

pub(crate) use assert_matches;
